Index: trunk/src/world_entities/creatures/md2_creature.cc
===================================================================
--- trunk/src/world_entities/creatures/md2_creature.cc	(revision 8350)
+++ trunk/src/world_entities/creatures/md2_creature.cc	(revision 8362)
@@ -35,5 +35,5 @@
 #include "graphics_engine.h"
 
-using namespace std;
+#include "debug.h"
 
 CREATE_FACTORY(MD2Creature, CL_MD2_CREATURE);
Index: trunk/src/world_entities/player.cc
===================================================================
--- trunk/src/world_entities/player.cc	(revision 8350)
+++ trunk/src/world_entities/player.cc	(revision 8362)
@@ -24,5 +24,5 @@
 #include "util/hud.h"
 
-using namespace std;
+#include "debug.h"
 
 
@@ -107,5 +107,5 @@
      if (objectList != NULL)
      {
-       list<BaseObject*>::const_iterator node;
+       std::list<BaseObject*>::const_iterator node;
        for (node = objectList->begin(); node != objectList->end(); node++)
          if (this->playable != (*node) && (dynamic_cast<PNode*>(*node)->getAbsCoor() - this->playable->getAbsCoor()).len() < 10.0)
Index: trunk/src/world_entities/projectiles/bomb.cc
===================================================================
--- trunk/src/world_entities/projectiles/bomb.cc	(revision 8350)
+++ trunk/src/world_entities/projectiles/bomb.cc	(revision 8362)
@@ -23,5 +23,5 @@
 #include "particle_system.h"
 
-using namespace std;
+#include "debug.h"
 
 CREATE_FAST_FACTORY_STATIC(Bomb, CL_BOMB);
Index: trunk/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- trunk/src/world_entities/projectiles/guided_missile.cc	(revision 8350)
+++ trunk/src/world_entities/projectiles/guided_missile.cc	(revision 8362)
@@ -24,5 +24,5 @@
 #include "sprite_particles.h"
 
-using namespace std;
+#include "debug.h"
 
 CREATE_FAST_FACTORY_STATIC(GuidedMissile, CL_GUIDED_MISSILE);
Index: trunk/src/world_entities/projectiles/hyperblast.cc
===================================================================
--- trunk/src/world_entities/projectiles/hyperblast.cc	(revision 8350)
+++ trunk/src/world_entities/projectiles/hyperblast.cc	(revision 8362)
@@ -24,6 +24,5 @@
 #include "spark_particles.h"
 
-
-using namespace std;
+#include "debug.h"
 
 CREATE_FAST_FACTORY_STATIC(Hyperblast, CL_HYPERBLAST);
Index: trunk/src/world_entities/projectiles/laser.cc
===================================================================
--- trunk/src/world_entities/projectiles/laser.cc	(revision 8350)
+++ trunk/src/world_entities/projectiles/laser.cc	(revision 8362)
@@ -17,5 +17,4 @@
 
 #include "laser.h"
-#include <cassert>
 
 #include "state.h"
@@ -27,4 +26,5 @@
 
 #include <cassert>
+#include "debug.h"
 
 using namespace std;
Index: trunk/src/world_entities/projectiles/projectile.cc
===================================================================
--- trunk/src/world_entities/projectiles/projectile.cc	(revision 8350)
+++ trunk/src/world_entities/projectiles/projectile.cc	(revision 8362)
@@ -24,5 +24,5 @@
 #include "util/loading/resource_manager.h"
 
-using namespace std;
+#include "debug.h"
 
 
Index: trunk/src/world_entities/projectiles/rocket.cc
===================================================================
--- trunk/src/world_entities/projectiles/rocket.cc	(revision 8350)
+++ trunk/src/world_entities/projectiles/rocket.cc	(revision 8362)
@@ -24,6 +24,5 @@
 #include "sprite_particles.h"
 
-
-using namespace std;
+#include "debug.h"
 
 CREATE_FAST_FACTORY_STATIC(Rocket, CL_ROCKET);
Index: trunk/src/world_entities/projectiles/test_bullet.cc
===================================================================
--- trunk/src/world_entities/projectiles/test_bullet.cc	(revision 8350)
+++ trunk/src/world_entities/projectiles/test_bullet.cc	(revision 8362)
@@ -23,6 +23,5 @@
 #include "dot_emitter.h"
 #include "sprite_particles.h"
-
-using namespace std;
+#include "debug.h"
 
 CREATE_FAST_FACTORY_STATIC(TestBullet, CL_TEST_BULLET);
Index: trunk/src/world_entities/space_ships/helicopter.cc
===================================================================
--- trunk/src/world_entities/space_ships/helicopter.cc	(revision 8350)
+++ trunk/src/world_entities/space_ships/helicopter.cc	(revision 8362)
@@ -32,5 +32,5 @@
 #include "graphics_engine.h"
 
-using namespace std;
+#include "debug.h"
 
 CREATE_FACTORY(Helicopter, CL_HELICOPTER);
Index: trunk/src/world_entities/space_ships/hover.cc
===================================================================
--- trunk/src/world_entities/space_ships/hover.cc	(revision 8350)
+++ trunk/src/world_entities/space_ships/hover.cc	(revision 8362)
@@ -30,5 +30,5 @@
 #include "graphics_engine.h"
 
-using namespace std;
+#include "debug.h"
 
 CREATE_FACTORY(Hover, CL_HOVER);
Index: trunk/src/world_entities/space_ships/turbine_hover.cc
===================================================================
--- trunk/src/world_entities/space_ships/turbine_hover.cc	(revision 8350)
+++ trunk/src/world_entities/space_ships/turbine_hover.cc	(revision 8362)
@@ -31,4 +31,6 @@
 #include "dot_emitter.h"
 #include "sprite_particles.h"
+
+#include "debug.h"
 
 CREATE_FACTORY(TurbineHover, CL_TURBINE_HOVER);
